## man-db 2.3.20

=== manual/Makefile ===
# manual Makefile for the man_db package.
#
# Copyright (C) 1995, Graeme Wilford.
#
# You may distribute under the terms of the GNU General Public
# License as specified in the COPYING file that comes with this
# distribution.
#
# Thu Sep 21 16:53:26 BST 1995  Wilf. (G.Wilford@ee.surrey.ac.uk) 

manual := man_db

SOELIM = soelim

.PHONY: dvi ps tps cat html

all: dvi ps cat

dvi: $(manual).dvi
ps: $(manual).ps
cat: $(manual).cat
tps: $(manual).tps
html: $(manual).html

SRCS := $(wildcard *.me)

postpro: $(SRCS)
	$(SOELIM) $(manual).me | tbl > $@
	
$(manual).dvi: postpro
	groff -me -Tdvi $< > $@

$(manual).ps: postpro
	groff -me -Tps $< > $@

$(manual).tps: postpro
	troff -me -Tdvi $< | grodvi -d > $(manual).tdvi
	dvips -f -t a4 $(manual).tdvi > $@
	rm -f $(manual).tdvi

$(manual).cat: postpro
	nroff -me $< > $@

$(manual).html: postpro
	groff -Thtml -me -P-I$(manual) $< > $@

# The standard targets
install uninstall:

mostlyclean:
	rm -f *~ *.bak

clean: mostlyclean
	rm -f postpro

realclean distclean: clean
	rm -f $(manual).dvi $(manual).ps $(manual).cat $(manual).tps \
	      $(manual).html $(manual)-*.png

TAGS:
	$(MKTAGS) $(SRCS)

## man-db 2.3.16-4

=== debian/changelog ===
man-db (2.3.16-4) stable; urgency=high

  * Backport another security fix from unstable.
  * Count how many times privileges have been dropped, and don't regain them
    until regain_effective_privs() is called the same number of times. The
    lack of nesting meant it was still possible to create files owned by uid
    man (thanks, Luki R.; closes: #99624).

 -- Colin Watson <cjwatson@debian.org>  Fri,  1 Jun 2001 23:50:31 +0000

man-db (2.3.16-3) stable; urgency=high

  * The last upload regained privileges too early; an attacker could
    potentially remove execute permissions from files owned by man. My
    apologies for not detecting this earlier.

 -- Colin Watson <cjwatson@debian.org>  Mon, 30 Apr 2001 19:53:05 +0000

man-db (2.3.16-2) stable; urgency=high

  * Security upload by new maintainer.
  * Drop privileges in mandb when creating a temporary database in a
    user-supplied manual hierarchy. Thanks to Ethan Benson for observing
    this vulnerability.

 -- Colin Watson <cjwatson@debian.org>  Sun, 29 Apr 2001 23:10:24 +0100

man-db (2.3.16-1.1) stable; urgency=high

  * Non-maintainer upload by Security Team
  * Fixed unquoted throughpassing of format strings that could crash man

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Thu,  8 Feb 2001 23:27:53 +0100

man-db (2.3.16-1) frozen unstable; urgency=high

  * Applyed patch submitted by Javier Fernandez-Sanguino Pena to permit
    search of trnlated manpages before giving the first english one
    found. Closes: #61697.
  * Forgot the ignore dash in tags target in debian/rules, which made it
    adding a non necessary source dependance.  Closes: #61199.

 -- Fabrizio Polacco <fpolacco@debian.org>  Wed, 22 Mar 2000 16:00:16 +0200

man-db (2.3.15) frozen unstable; urgency=high

  * Just recompiled, with an upgraded potato system.
    Let's see if this wipes away the grave installation problem listed
    in bugs #60339, #60399, #60411, #60515.
    In that case, I'll close these bugs by hand :-)

 -- Fabrizio Polacco <fpolacco@debian.org>  Wed, 22 Mar 2000 16:00:16 +0200

man-db (2.3.14) frozen unstable; urgency=high

  * if unconfigured, it install binaries setuid root!
    also closes: #32213.
  * Forgot to put different md5sum for man and mandb in md5sums file.
    debsums was failing on them as they were modifyed by postinst.
    Closes: #59677, #60023 thanx to Lee Maguire.

 -- Fabrizio Polacco <fpolacco@debian.org>  Mon,  6 Mar 2000 12:35:35 +0200

man-db (2.3.13) frozen unstable; urgency=low

  * Applied patch to avoid disappearing of index file during
    regeneration. Thanx to Colin Phipps, closes: #58887.
  * Applied patch to generate secure temporary file in straycat.
    Thanx to Colin Phipps, closes: #58900.

 -- Fabrizio Polacco <fpolacco@debian.org>  Mon, 28 Feb 2000 22:09:05 +0200

man-db (2.3.12) frozen unstable; urgency=low

  * Applied security patch for forcing regeneration of secure temp file
    instead of reusing it. Thanx to Colin Phipps who audited it and
    submitted a patch. Closes: #58271.
  * Written new wrapper in C. It installs as /usr/bin/wrapper and is
    hardlinked to man and mandb while configuring. The package installs
    a one line script (as /usr/bin/man and /usr/bin/mandb) that simply
    inform that the package is not configured; it is removed by postinst
    and replaced by hardlinks with /usr/bin/wrapper.
    Thanx to Ethan Benson, Colin Phipps.
  * Simply incremented minor number, to make Josip Rodin happy.
    Not only it is a native Debian package, but is is also a "new
    upstream release"(TM)  :-)  (and yes, I've changed the version
    number also in configure.in :-)
  * Added explicit proto in straycat.c as now libc has canonicalize_file_name().

 -- Fabrizio Polacco <fpolacco@debian.org>  Tue, 22 Feb 2000 16:41:33 +0200

man-db (2.3.10-71) frozen unstable; urgency=low

  * after exaustive discussion of debian-devel, the wrapper script has
    been fixed. Thanx to Ethan Benson, Marcus Brinkman, Petr Cech.
    Closes #57566.
  * added double dependency to groff or jgroff.
  * added updated cs po file and a small fix to avoid a warning, thanx
    to the precious contribution of Vladimir Michl.

 -- Fabrizio Polacco <fpolacco@debian.org>  Tue,  8 Feb 2000 17:01:36 +0200

man-db (2.3.10-70) frozen unstable; urgency=low

  * security fix: moved setuid binaries to /usr/lib/man-db and added
    shell wrapper to execute as user nobody when invoked by root.
    This would avoid having anybody running man as root, or cron running
    mandb.
  * Added more granularity in the "quietness" of mandb, and added option
    test to simply check the correctness of manpages, to allow lintian
    and/or dh_install_manpages to report warnings.
  * fixed a typo in spanish message catalog.
    Thanx to Jose Dapena Paz, closes: #56204.
  * added (but not enabled) new option -H (-Thtml) to take advantage of
    new html driver (still experimental but getting better) in groff.
  * as a consequence, added versioned dependency to groff >= 1.15
  * corrected location of GPL in copyright file.
  * corrected headers in po files for it and de.

 -- Fabrizio Polacco <fpolacco@debian.org>  Fri, 14 Jan 2000 13:49:42 +0200

man-db (2.3.10-69s) unstable; urgency=low

  * added symlinks for /usr/doc (in postinst and prerm).
  * changed installation of japanes manpages to dir "ja".
  * Corrected incomplete apply of HURD patch. Closes: #48052.
  * Changed configure.in and libdb/mydbm.h to force inclusion 
    of correct db_185.h header. Thanx to Marcus Brinkmann.
  * Corrected use of setlocale in files other that man.c;
    closes: #48128, thanx to "David Huggins-Daines".
    also closes: #48495.

 -- Fabrizio Polacco <fpolacco@debian.org>  Sat, 16 Oct 1999 03:33:23 +0300

man-db (2.3.10-69r) unstable; urgency=low

  * Modified utility accessdb to default to FHS location of the cache.
  * Reduced verbosity of mandb when -q option is used; thanx to


=== debian/control ===
Source: man-db
Section: doc
Priority: important
Maintainer: Colin Watson <cjwatson@debian.org>
Standards-Version: 3.0.1

Package: man-db
Architecture: any
Depends: groff (>> 1.15-2) | jgroff (>> 1.15), ${shlibs:Depends}
Suggests: bsdmainutils
Provides: man, man-browser
Conflicts: man
Replaces: man, nlsutils
Description: Display the on-line manual.
 This package provides the man command. This utility is the primary
 way of examining the on-line help files (manual pages). Other utilities
 provided include the whatis and apropos commands for searching the
 manual page database, the manpath utility for determining the manual
 page search path, and the maintenance utilities mandb, catman and
 zsoelim. This package uses the groff suite of programs to format and
 display the manual pages.

=== debian/rules ===
#! /usr/bin/make -f
#
# rules do debianize man-db package
#

# The name of the package
package = man-db

list_build_enabled=1
_debian_policy_ = 1
-include debian/policy


# build flags tha need overwrite
NLS = all

DBG-CFLAGS = -g -DENABLE_HTML
DBG-LDFLAGS = 
LDFLAGS = 

./configure incl/config.h.in:	./configure.in ./acconfig.h
	# this creates incl/config.h.in from acconfig.h
	autoheader
	# this creates configure from configure.in
	autoconf

GNUmakefile:	./configure
# create the makefile needed both from build and clean rules
	./configure --prefix=/usr --enable-setuid \
	            --with-db=db2 --with-device=latin1 

tags:
	-test -x $(which ctags-exuberant) && ctags-exuberant */*.[ch]
	touch $@

debug:		GNUmakefile tags
	${checkdir}
	cd src && rm -f *.o
	cd src && ${MAKE} nls="${NLS}" CFLAGS="${DBG-CFLAGS}" LDFLAGS="${DBG-LDFLAGS}" 
	# don't worry, this is not executed in normal building!
	cd src && sudo chown man.root man && sudo chmod 4755 man 

build:		GNUmakefile tags
# Builds the binary package.
	${checkdir}
	${MAKE} nls="${NLS}" 
	touch build

clean:		GNUmakefile
	${checkdir}
	-${MAKE} -i distclean
	-rm -f build man/index.* `find . -name '*~'`
	-rm -f core tags TAGS */*.i
	-rm -rf debian/tmp
	-cd debian && rm -f files* core substvars tags TAGS 
	-cd po && rm -f stamp-cat-id cat-id-tbl.c man-db.pot
	${update_standards_version} debian/control

binary-indep:	checkroot build
	${checkdir}

binary-arch:	checkroot build
	${checkdir}
	-rm -rf ${d_build}
	${install_dir}  ${d_dirs} ${d_doc}/examples
	# ==== install cron files in /etc ====
	cd debian && ${install_cron_files}
	# ==== install all ====
	# prefix must be relative because subdir's makefiles add ../  gosh!
	${MAKE} install prefix=debian/tmp/usr 
	chmod 775 ${d_bin}/*
	  # just to get the md5sum
	cd ${d_bin} && ln -f wrapper man
	cd ${d_bin} && ln -f wrapper mandb
	mv ${d_etc}/manpath.config ${d_doc}/examples
	  #
	${install_bin}  tools/chconfig	${d_mlib}
	${install_data} debian/config_md5	${d_mlib}
	# calculates md5 of manpath.config, and add to config_md5.
	cp /usr/lib/man-db/config_md5 debian/tmp || touch debian/tmp/config_md5 
	sed 's/\#.*$$//' ${d_doc}/examples/manpath.config |\
		tr -s '\t ' '  ' | sort -u | md5sum |\
		cat debian/tmp/config_md5 debian/config_md5 |\
		sort -u > ${d_mlib}/config_md5
	-rm debian/tmp/config_md5
	# ==== DEBIAN control files ====
	cd debian && ${install_DEBIAN_scripts}
	${install_data} debian/conffiles	${d_deb}
	# ==== manpages ====
	gzip -r9 ${d_man}
	# now do manual changes needed by debian
	# change locale names
	mv ${d_man}/de_DE.88591 ${d_man}/de
	mv ${d_man}/es_ES.88591 ${d_man}/es
	mv ${d_man}/it_IT.88591 ${d_man}/it
	mv ${d_man}/ja_JP.ujis  ${d_man}/ja
	rm -rf ${d_man}/de_DE.ascii
	#
	# ==== docs ====
	# particular documents that must be present with exactly this name
	${install_data}    debian/changelog     ${d_doc}/changelog.Debian
	${install_data}    debian/copyright     ${d_doc}/copyright
	#
	# documents to be installed by hand
	${install_data}	README	${d_doc}
	cd debian && ${install_data}	\
		man-db-manual.txt \
		man-db-manual.html \
					${d_doc}
	cd docs && ${install_data}	NEWS ToDo	${d_doc}
	cd docs && ${install_data}	ChangeLog	${d_doc}/changelog
	cd debian && ${install_data} manpage.example ${d_doc}/examples
	#
	# now compress only large documents
	cd ${d_doc} && ${compress_docs}
	#
	# doc-base subsystem: need also one row in postinst and in prerm
	cd debian && ${install_data}	doc-base	${d_doc-base}/${package}
	#
	# ==== clean dirs ====
	-${clean_dirs}
	# ==== md5sums ====
	cd ${d_build} && ${install_md5sums}
	  # this only after taken the md5sums ...
	-rm -f ${d_bin}/man ${d_bin}/mandb
	echo -e "#!/bin/sh\n/bin/echo -e \"Package man-db not yet configured.\n\""\
				> ${d_bin}/man
	cat ${d_bin}/man	> ${d_bin}/mandb
	chmod 775 ${d_bin}/man ${d_bin}/mandb
	chmod 775 ${d_mlib}/man ${d_mlib}/mandb
	# ==== finds dependencies ====
	dpkg-shlibdeps ${d_mlib}/man ${d_sbin}/*
	# ==== process control file ====
	dpkg-gencontrol -isp -p${package}
	chown -R root.root ${d_build}
	chmod -R go=rX ${d_build}
	${list_build_if_enabled}
	dpkg --build  ${d_build} ..


binary:	binary-indep	binary-arch

checkroot:
	${checkdir}
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## man-db 2.4.2

=== manual/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# manual Makefile for the man_db package.
+# manual Makefile for the man-db package.
 #
 # Copyright (C) 1995, Graeme Wilford.
 #

## man-db 2.5.1-3maemo3

=== debian/changelog ===
man-db (2.5.1-3maemo3) fremantle; urgency=low

  * Set manpath to /opt/man

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Wed, 12 May 2010 03:30:13 +0300

man-db (2.5.1-3maemo2) fremantle; urgency=low

  * Optified package
  * New maintainer

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Tue, 11 May 2010 22:14:30 +0300

man-db (2.5.1-3maemo1) unstable; urgency=low

  * Set am_cv_func_iconv and am_cv_func_iconv_works manually to yes
    There's no converter for EUC-JP to UTF-8 which results in broken
    config.h, if we just ignore it (we probably won't use it), we'll be
    just fine.
  * Set maintainer to integration@maemo.org

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Mon, 18 Aug 2008 15:09:09 +0300

man-db (2.5.1-3) unstable; urgency=low

  * Only replace manpages-de (<< 0.5-4), per Daniel Kobras.
  * Backport from upstream:
    - 'man -H' (without a browser argument) was completely broken in 2.5.1
      and is now fixed.

 -- Colin Watson <cjwatson@debian.org>  Wed, 12 Mar 2008 12:35:16 +0000

man-db (2.5.1-2) unstable; urgency=low

  * Replaces: manpages-de, which provides out-of-date copies of man-db's
    manual pages for some reason (closes: #463027).

 -- Colin Watson <cjwatson@debian.org>  Mon, 28 Jan 2008 23:38:13 +0000

man-db (2.5.1-1) unstable; urgency=low

  * New upstream release.
    - Fix a number of problems with the localisation changes in 2.5.0.
      Notably, manual pages are converted to the proper input encoding for
      troff output as well as nroff output, and manconv's encoding fallback
      mechanism should now actually fall back as intended.
    - Add a 'man --recode' option to output a source manual page converted
      to a specified encoding. This is expected to be used by debhelper to
      install UTF-8 manual pages.
    - Fix "occured" typo in mandb(8) (thanks, Alfie Costa; closes: #446044).
    - Allow only alphanumerics and "-_/:.()" in encoding names (closes:
      #446055).
    - Enable localisation in accessdb, globbing, lexgrog, and zsoelim
      (closes: #448395).
    - Allow passing warning options to groff, either using the environment
      variable MANROFFOPT or the new 'man --warnings' option (thanks, Ivan
      Shmakov; closes: #451187).
    - Add 'man -s' as an alias for 'man -S' (closes: #458499).
    - 'man -l' guesses language based on absolute path to provided file,
      rather than relative (closes: #460014).
    - mandb sets the new file's mode to DBMODE in order to try to defend
      against strange problems with databases being left world-unreadable
      (closes: #430800).
    - Don't ignore SIGINT and SIGQUIT just because a decompression process
      is running (closes: #462276).
    - Update Russian translation (closes: #452417).
    - Add Korean support, requiring groff >= 1.18.1.1-16 (LP: #176896).
  * Policy version 3.7.3:
    - Move doc-base entry to Applications/Viewers.
  * Update debian/copyright. Due to incorporating parts of Gnulib, the
    man-db package as a whole now falls under GPLv3.

 -- Colin Watson <cjwatson@debian.org>  Mon, 28 Jan 2008 11:06:57 +0000

man-db (2.5.0-4) unstable; urgency=low

  * Always pass an appropriate --build= option to configure.
  * Add debconf translations:
    - Simplified Chinese (thanks, Ming Hua; closes: #447421).
    - Finnish (thanks, Esko Arajärvi; closes: #448769).
  * Update debconf translations:
    - Dutch (thanks, Bart Cornelis; closes: #447719).

 -- Colin Watson <cjwatson@debian.org>  Sat, 17 Nov 2007 20:03:27 +0000

man-db (2.5.0-3) unstable; urgency=low

  * Backport from upstream (closes: #446302):
    - Fix apropos/whatis segfault with explicitly specified locale.

 -- Colin Watson <cjwatson@debian.org>  Fri, 12 Oct 2007 10:29:46 +0100

man-db (2.5.0-2) unstable; urgency=low

  * Backport from upstream (closes: #446189):
    - Connect up the decompression pipeline in the display_to_stdout case
      too.

 -- Colin Watson <cjwatson@debian.org>  Thu, 11 Oct 2007 00:55:11 +0100

man-db (2.5.0-1) unstable; urgency=low

  * New upstream release.
    - Remove /usr/X11R6/man from MANDATORY_MANPATH (closes: #413349).
    - man now supports the MANPAGER environment variable, overriding PAGER.
    - Resolve ambiguous error message when asking for a nonexistent manual
      page that might also be a section name (closes: #421481).
    - MANSEC -> MANSECT in German man(1) and catman(8) (closes: #430635).
    - Truncate apropos/whatis output to the terminal width by default
      (closes: #411721).
    - lexgrog now ignores alleged manual page names containing spaces, as
      these usually indicate parsing errors or ill-formed NAME sections and
      they clutter up apropos output badly.
    - Discard stderr from formatting processes when outputting to a pager,
      to avoid visual corruption from any error messages (closes: #372939).
    - Disallow sectional extensions of alphabetic sections, e.g. n and l
      from the default configuration (closes: #391977), and sectional
      extensions beginning with a digit (closes: #421481).
    - Suppress warnings in --quiet mode (closes: #348008, #378428, #411220;
      also closes: #334280 since that suggestion is no longer relevant).
    - If MAN_KEEP_FORMATTING is set in the environment, don't strip
      formatting characters with col (closes: #340673).
    - Implement and use a decompression library. This allows cat pages to be
      saved in the background while the pager is active (closes: #18452) and
      operation with a read-only /tmp (closes: #165499).
    - Add a configuration file flag (NOCACHE) to disable cat page caching
      (closes: #196642).
    - Add output keys to a hashtable, and skip any that have already been
      seen (closes: #259338).
    - Execute system utilities by command name rather than by full path
      (closes: #385651).
    - Add apropos -a/--and option to display only items matching all
      keywords (closes: #259340).


=== debian/control ===
Source: man-db
Section: doc
Priority: important
Maintainer: Mohammad Abu-Garbeyyeh
XBSC-Original-Maintainer: maemo integration <integration@maemo.org>
Standards-Version: 3.7.3
Build-Depends: debhelper (>= 4.0.0), flex, gettext, groff, libgdbm-dev, zlib1g-dev

Package: man-db
Architecture: any
Depends: groff-base, debconf (>= 1.2.0) | debconf-2.0, dpkg (>= 1.9.0), libc6 (>= 2.5.0-1), libgdbm3, zlib1g (>= 1:1.2.1)
Suggests: groff, less, www-browser
Provides: man, man-browser
Conflicts: man, suidmanager (<< 0.50)
Replaces: man, nlsutils, manpages-de (<< 0.5-4)
Description: on-line manual pager
 This package provides the man command, the primary way of examining the
 on-line help files (manual pages). Other utilities provided include the
 whatis and apropos commands for searching the manual page database, the
 manpath utility for determining the manual page search path, and the
 maintenance utilities mandb, catman and zsoelim. man-db uses the groff
 suite of programs to format and display the manual pages.

=== debian/rules ===
#! /usr/bin/make -f

# The name of the package
package = man-db
dtmp    = debian/$(package)

ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS = -O2 -g -Wall
LDFLAGS = -g
else
CFLAGS = -g -Wall
LDFLAGS = -g
endif

DEB_BUILD_GNU_TYPE = $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE = $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
CONFARGS = --build=$(DEB_HOST_GNU_TYPE)
else
CONFARGS = --build=$(DEB_HOST_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
endif

configure-stamp:
	./configure --prefix=/usr --libexecdir=\$${libdir} \
	            --enable-setuid --with-db=gdbm \
	            --enable-undoc='man 7 undocumented' \
	            --with-device=latin1 --enable-mb-groff \
	            --with-config-file=/etc/manpath.config \
	            --with-browser=www-browser --with-pager=pager \
	            --with-col=col --with-vgrind=vgrind --with-grap=grap \
	            --with-compress=compress --with-bzip2=bzip2 \
		    --with-sections='1 n l 8 3 2 3posix 3pm 3perl 5 4 9 6 7' \
	            $(CONFARGS) am_cv_func_iconv=yes am_cv_func_iconv_works=yes
	touch $@

build: build-stamp
build-stamp: configure-stamp
# Builds the binary package.
	dh_testdir
	$(MAKE) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
	touch $@

clean:
	dh_testdir
	[ ! -f Makefile ] || $(MAKE) -i distclean
	-rm -f configure-stamp build-stamp install-stamp man/index.*
	dh_clean

install: install-stamp
install-stamp: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/$(dtmp)
	# Debian man-db used to put potentially setuid executables in a
	# private directory in order to do wrapper magic. The wrapper isn't
	# used any more, but migration is complicated enough that these stay
	# in /usr/lib/man-db (for now).
	mv $(dtmp)/usr/bin/man			$(dtmp)/usr/lib/man-db/man
	mv $(dtmp)/usr/bin/mandb		$(dtmp)/usr/lib/man-db/mandb
	install -m755 tools/chconfig		$(dtmp)/usr/share/$(package)
	rm $(CURDIR)/debian/man-db/etc/manpath.config
	cp -a $(CURDIR)/debian/manpath.config $(CURDIR)/debian/man-db/etc/manpath.config
	touch $@

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	install -m644 manual/man_db.cat \
		$(dtmp)/usr/share/doc/man-db/man-db-manual.txt
	install -m644 manual/man_db.dvi \
		$(dtmp)/usr/share/doc/man-db/man-db-manual.dvi
	install -m644 manual/man_db.ps \
		$(dtmp)/usr/share/doc/man-db/man-db-manual.ps
	dh_installexamples docs/manpage.example*
	install -m644 $(dtmp)/etc/manpath.config \
		$(dtmp)/usr/share/doc/$(package)/examples/manpath.config
	install -m644 debian/bug.presubj \
		$(dtmp)/usr/share/bug/man-db/presubj
	dh_installchangelogs docs/ChangeLog
	install -D -m644 debian/man-db.lintian \
		$(dtmp)/usr/share/lintian/overrides/man-db
	dh_installcron
	dh_installdebconf
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	chown man:root $(dtmp)/var/cache/man
	chmod 2755     $(dtmp)/var/cache/man
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build clean install binary binary-arch binary-indep

## man-db 2.5.7

=== debian/changelog ===
man-db (2.5.7-8) unstable; urgency=low

  * Avoid assertion if no path elements with manpaths were found (closes:
    #608490).

 -- Colin Watson <cjwatson@debian.org>  Mon, 03 Jan 2011 01:13:19 +0000

man-db (2.5.7-7) unstable; urgency=low

  * Backport from 2.5.8:
    - Warnings about unrecognised locales are now suppressed if the
      DPKG_RUNNING_VERSION environment variable is set (i.e. man-db is
      running within a Debian package's maintainer script), since the system
      locales are often out of sync with the C library in that context.
      Thanks to the Debian Perl maintainers for the idea (closes: #605790).

 -- Colin Watson <cjwatson@debian.org>  Sat, 04 Dec 2010 13:39:38 +0000

man-db (2.5.7-6) unstable; urgency=low

  * Move po/fr.gmo aside during build so that it gets regenerated based on
    translation-fr.patch, and build-depend directly on gettext for this
    (closes: #598066).

 -- Colin Watson <cjwatson@debian.org>  Thu, 14 Oct 2010 17:59:18 +0100

man-db (2.5.7-5) unstable; urgency=low

  * Use CFLAGS and LDFLAGS from hardening-includes, since man and mandb are
    optionally setuid man.
  * Update French translation from Translation Project (thanks, David
    Prévot; closes: #598621).
  * Make sure that man/po4a/po/* are kept unchanged during a
    patch/build/clean cycle.
  * Update French documentation translation from Translation Project
    (thanks, David Prévot; closes: #598066).

 -- Colin Watson <cjwatson@debian.org>  Tue, 05 Oct 2010 14:44:06 +0100

man-db (2.5.7-4) unstable; urgency=low

  * Backport from trunk:
    - Fix a regression introduced in 2.5.7 when running catman in some
      locales, most notably in the C locale: while converting the output to
      UTF-8, iconv was run after the compressor rather than before it
      (closes: #593350, LP: #615045).

 -- Colin Watson <cjwatson@debian.org>  Tue, 17 Aug 2010 14:54:04 +0100

man-db (2.5.7-3) unstable; urgency=low

  * Remove unused build-dependency on gettext.
  * Check for VxID as well as envID in /proc/self/status (closes: #579551).

 -- Colin Watson <cjwatson@debian.org>  Wed, 28 Apr 2010 18:06:49 +0100

man-db (2.5.7-2) unstable; urgency=low

  * Add a watch file.
  * Backport from trunk:
    - Fix assertion failure on 'man -l' with an uncompressed page and
      prefixed input (no-hyphenation, no-justification, or a non-English
      page).

 -- Colin Watson <cjwatson@debian.org>  Tue, 02 Mar 2010 10:19:25 +0000

man-db (2.5.7-1) unstable; urgency=low

  * New upstream release:
    - Make man(1) refer to the "Warnings" node in 'info groff' for a list of
      available warning names (closes: #545805).
    - Don't run tests if cross-compiling.
    - Add option to disable justification (closes: #440047).
    - Do what the user probably means when the full path to an executable is
      given as an argument (closes: #505465).
    - Search man<sec><ext> directories in the GNU layout (closes: #519807).
    - Prefer getting a page from the best manual section over getting a page
      in the correct language; I have my reservations about this, but it
      seems to be what people are requesting (closes: #519547).
    - 'man -f' and 'man -k' now pass through any -s option to apropos/whatis
      respectively.
    - All programs now support a MAN_DEBUG environment variable which can be
      used in place of the -d/--debug option. This is useful in some
      situations where a program is being called deep in a process tree.
    - Fix off-by-one error when write returns EAGAIN (thanks, Samuel
      Thibault; closes: #564818).
    - "%s: nothing appropriate." is an error; write it to stderr, not stdout
      (closes: #565255).
    - Don't bother printing error messages for SIGINT and SIGQUIT, since
      these correspond to explicit user actions (closes: #568000).
    - Fix sense of directory check while decompressing (closes: #537434).
    - Always save cat pages in UTF-8 (closes: #446741).
  * Convert to source format 3.0 (quilt).

 -- Colin Watson <cjwatson@debian.org>  Wed, 17 Feb 2010 00:56:08 +0000

man-db (2.5.6-5) unstable; urgency=low

  * Remove Ubuntu buildd hack now that the Ubuntu buildd chroots preseed
    man-db/auto-update=false (thanks, LaMont Jones).
  * Backport from trunk:
    - Handle iconv errors when attempting to convert the last input encoding
      to UTF-8 (closes: #562503).
  * Unless we're cross-compiling, get dh_installman to use the version of
    man we just built.

 -- Colin Watson <cjwatson@debian.org>  Fri, 01 Jan 2010 13:27:06 +0000

man-db (2.5.6-4) unstable; urgency=low

  * Backport from trunk:
    - If the locale encoding is ASCII, then use the ascii device even if
      preconv is available; it will do a better job than producing UTF-8
      output and then recoding that to ASCII (closes: #547695).
    - Include <unistd.h> in src/encodings.c for dup and STDIN_FILENO
      (closes: #553623).
    - When invoking col, ensure that LC_CTYPE is set to an appropriate
      locale for the selected character set (closes: #555331).
  * Add man-db/auto-update debconf template, which may be preseeded to false
    to disable rebuilding the database when man-db is triggered (closes:
    #554914).

 -- Colin Watson <cjwatson@debian.org>  Tue, 10 Nov 2009 11:58:25 +0000

man-db (2.5.6-3) unstable; urgency=low

  * Don't try to change I/O priority in an OpenVZ container (closes:
    #546680). Approach borrowed from virt-what.
  * Backport from trunk:
    - When a source pipeline dies, make sure to drain its output before
      discarding its output file descriptor (closes: #548153).

 -- Colin Watson <cjwatson@debian.org>  Thu, 24 Sep 2009 13:38:56 +0100

man-db (2.5.6-2) unstable; urgency=low

  * Don't try to change I/O priority in a vserver (closes: #544999).

 -- Colin Watson <cjwatson@debian.org>  Sun, 06 Sep 2009 23:37:01 +0100

man-db (2.5.6-1) unstable; urgency=low

  * New upstream release:


=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: man-db
 Section: doc
 Priority: important
-Maintainer: Mohammad Abu-Garbeyyeh
-XBSC-Original-Maintainer: maemo integration <integration@maemo.org>
-Standards-Version: 3.7.3
-Build-Depends: debhelper (>= 4.0.0), flex, gettext, groff, libgdbm-dev, zlib1g-dev
+Maintainer: Colin Watson <cjwatson@debian.org>
+Standards-Version: 3.8.2
+Build-Depends: debhelper (>= 7.2.3), flex, groff, libgdbm-dev, po4a, zlib1g-dev, hardening-includes, gettext
+Homepage: http://man-db.nongnu.org/
 
 Package: man-db
 Architecture: any
-Depends: groff-base, debconf (>= 1.2.0) | debconf-2.0, dpkg (>= 1.9.0), libc6 (>= 2.5.0-1), libgdbm3, zlib1g (>= 1:1.2.1)
+Depends: groff-base (>= 1.18.1.1-15), bsdmainutils, debconf (>= 1.2.0) | debconf-2.0, dpkg (>= 1.9.0), ${shlibs:Depends}, ${misc:Depends}
 Suggests: groff, less, www-browser
 Provides: man, man-browser
 Conflicts: man, suidmanager (<< 0.50)

=== debian/rules ===
#! /usr/bin/make -f
%:
	dh $@

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

dtmp    = debian/man-db

include /usr/share/hardening-includes/hardening.make

# Cf. #497653
ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS = -O2 -g
else
CFLAGS = -g
endif
CFLAGS += $(HARDENING_CFLAGS)
LDFLAGS := $(HARDENING_LDFLAGS)

# --libexecdir still needed due to #541458
override_dh_auto_configure:
	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" dh_auto_configure -- \
		    --libexecdir=\$${libdir} \
	            --enable-setuid --enable-undoc='man 7 undocumented' \
	            --with-device=latin1 --enable-mb-groff \
	            --with-config-file=/etc/manpath.config \
	            --with-browser=www-browser --with-pager=pager \
	            --with-col=col --with-vgrind=vgrind --with-grap=grap \
	            --with-compress=compress --with-bzip2=bzip2 \
		    --with-lzma=lzma \
		    --with-sections='1 n l 8 3 2 3posix 3pm 3perl 5 4 9 6 7'

override_dh_auto_build:
	[ ! -e po/fr.gmo ] || mv po/fr.gmo po/fr.gmo.safe
	set -e; for preserve in man/po4a/po/*.pot man/po4a/po/*.po; do \
		[ ! -e "$$preserve.safe" ] || continue; \
		cp -a "$$preserve" "$$preserve.safe"; \
	done
	dh_auto_build
	$(MAKE) -C po fr.gmo
	sed -f man/fr/replace.sed -e 's,%program%,manconv,g' \
		man/fr/man1/manconv.man1 > man/fr/man1/manconv.1

override_dh_auto_install:
	dh_auto_install
	install -m 644 man/fr/man1/manconv.1 $(dtmp)/usr/share/man/fr/man1/

override_dh_auto_clean:
	dh_auto_clean
	set -e; for preserve in man/po4a/po/*.pot man/po4a/po/*.po; do \
		[ -e "$$preserve.safe" ] || continue; \
		mv "$$preserve.safe" "$$preserve"; \
	done
	[ ! -e po/fr.gmo.safe ] || mv po/fr.gmo.safe po/fr.gmo
	rm -f man/fr/man1/manconv.1

override_dh_clean:
	dh_clean -Xxmalloc.c.orig

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
override_dh_installman:
	PATH="$(CURDIR)/$(dtmp)/usr/bin:$$PATH" dh_installman
endif

override_dh_fixperms:
	dh_fixperms
	chown man:root $(dtmp)/var/cache/man
	chmod 2755     $(dtmp)/var/cache/man

## man-db 2.5.9

=== debian/changelog ===
man-db (2.5.9-4) unstable; urgency=low

  * Add debconf translations:
    - Slovak (thanks, Slavko; closes: #609347).
  * Fix test failure with groff 1.21.
  * Upload to unstable.

 -- Colin Watson <cjwatson@debian.org>  Tue, 08 Feb 2011 10:35:20 +0000

man-db (2.5.9-3) experimental; urgency=low

  * Use 'dh $@ --options' rather than 'dh --options $@', for
    forward-compatibility with debhelper v8.
  * Avoid assertion if no path elements with manpaths were found (closes:
    #608490).

 -- Colin Watson <cjwatson@debian.org>  Mon, 03 Jan 2011 01:01:48 +0000

man-db (2.5.9-2) experimental; urgency=low

  * Fix build with 'ld --no-copy-dt-needed-entries'.

 -- Colin Watson <cjwatson@debian.org>  Thu, 18 Nov 2010 14:00:08 +0000

man-db (2.5.9-1) experimental; urgency=low

  * New upstream release:
    - Fix test failures on some systems.  A change made in 2.5.8 was overly
      sensitive to directory ordering.

 -- Colin Watson <cjwatson@debian.org>  Wed, 17 Nov 2010 12:00:41 +0000

man-db (2.5.8-2) experimental; urgency=low

  * Build-depend on pkg-config.

 -- Colin Watson <cjwatson@debian.org>  Tue, 16 Nov 2010 13:55:02 +0000

man-db (2.5.8-1) experimental; urgency=low

  * New upstream release:
    - Explicitly set groff's hyphenation language, to ensure that it only
      hyphenates languages it knows about (closes: #570247).
    - Add support for XZ-compressed manual pages, thanks to Darren Salt
      (closes: #572233).
    - Try underscore-separated subpages as well as hyphen-separated ones,
      thanks to Tanguy Ortolo (closes: #574641).
    - Build libman and libmandb as shared libraries, considerably reducing
      executable size.
    - Warnings about unrecognised locales are now suppressed if the
      DPKG_RUNNING_VERSION environment variable is set (i.e. man-db is
      running within a Debian package's maintainer script), since the system
      locales are often out of sync with the C library in that context.
      Thanks to the Debian Perl maintainers for the idea.
    - In catman mode, never try to guess whether a page argument is a
      section, as it's too easy to get this wrong (LP: #664211).
    - mandb should no longer repeatedly rescan manual page hierarchies when
      a whatis entry turns into a broken link.
  * Use a separate build directory, eliminating the requirement to preserve
    some files by hand.
  * Build with external libpipeline.

 -- Colin Watson <cjwatson@debian.org>  Tue, 16 Nov 2010 00:03:58 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: important
 Maintainer: Colin Watson <cjwatson@debian.org>
 Standards-Version: 3.8.2
-Build-Depends: debhelper (>= 7.2.3), flex, groff, libgdbm-dev, po4a, zlib1g-dev, hardening-includes, gettext
+Build-Depends: debhelper (>= 7.2.3), flex, groff, libgdbm-dev, po4a, zlib1g-dev, libpipeline-dev, hardening-includes, gettext, pkg-config
 Homepage: http://man-db.nongnu.org/
 
 Package: man-db

=== debian/rules ===
#! /usr/bin/make -f
%:
	dh $@ --builddirectory=debian/build

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

dtmp    = debian/man-db

include /usr/share/hardening-includes/hardening.make

# Cf. #497653
ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS = -O2 -g
else
CFLAGS = -g
endif
CFLAGS += $(HARDENING_CFLAGS)
LDFLAGS := $(HARDENING_LDFLAGS)

# --libexecdir still needed due to #541458
override_dh_auto_configure:
	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" dh_auto_configure -- \
		    --libexecdir=\$${libdir} \
	            --enable-setuid --enable-undoc='man 7 undocumented' \
	            --with-device=latin1 --enable-mb-groff \
	            --with-config-file=/etc/manpath.config \
	            --with-browser=www-browser --with-pager=pager \
	            --with-col=col --with-vgrind=vgrind --with-grap=grap \
	            --with-compress=compress --with-bzip2=bzip2 \
		    --with-lzma=lzma \
		    --with-sections='1 n l 8 3 2 3posix 3pm 3perl 5 4 9 6 7' \
		    --with-external-pipeline

override_dh_clean:
	dh_clean -Xxmalloc.c.orig

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
override_dh_installman:
	PATH="$(CURDIR)/$(dtmp)/usr/bin:$$PATH" \
	LD_LIBRARY_PATH="$(CURDIR)/$(dtmp)/usr/lib/man-db:$$LD_LIBRARY_PATH" \
		dh_installman
endif

override_dh_fixperms:
	dh_fixperms
	chown man:root $(dtmp)/var/cache/man
	chmod 2755     $(dtmp)/var/cache/man

# Our shared libraries are private.
override_dh_makeshlibs:
	:

## man-db 2.6.0.2

=== debian/changelog ===
man-db (2.6.0.2-2) unstable; urgency=low

  * Add debconf translations:
    - Serbian (thanks, Zlatan Todoric; closes: #635062).
    - Serbian (Latin) (thanks, Zlatan Todoric; closes: #635063).

 -- Colin Watson <cjwatson@debian.org>  Sat, 23 Jul 2011 11:27:50 +0100

man-db (2.6.0.2-1) unstable; urgency=low

  * New upstream release:
    - Fix a segfault when scanning links to empty pages (closes: #622104).
    - Once we've seen at least one record in a page's NAME section, ignore
      any further records that don't include a whatis description, as they
      tend to be noise.
  * Remove unnecessary .la files (closes: #622443).

 -- Colin Watson <cjwatson@debian.org>  Wed, 13 Apr 2011 12:27:13 +0100

man-db (2.6.0.1-1) unstable; urgency=low

  * New upstream release, fixing test failures in 2.6.0 (closes: #621867):
    - Ensure that the target of a symlink or .so chain is always recorded as
      a real page.
    - Read a user-specified configuration file even if HOME is unset.

 -- Colin Watson <cjwatson@debian.org>  Sun, 10 Apr 2011 23:09:47 +0100

man-db (2.6.0-1) unstable; urgency=low

  * New upstream release:
    - Search the full manpath when expanding .so directives in manual pages.
      As part of this, '.so name.1' should now work as well as '.so
      man1/name.1' (closes: #503472, LP: #411534).
    - Handle roff named glyphs and perldoc strings in NAME sections (closes:
      #601025).
    - Don't start a pager if stdout is not a tty.
    - Allow passing multiple sections to whatis and apropos (closes:
      #571285).
    - Provide byte positions in manconv errors (closes: #562789).
    - Make mandb error output neater when stderr is not a tty.
    - Fix failure to display manual pages in some encodings when installed
      setuid.
    - Don't ignore SIGPIPE while forking iconv (closes: #597756).
    - Remove obsolete subdirectories of cat directories (closes: #558804).
    - If mandb sees that A is a symlink to B, it should never store a whatis
      reference for B (closes: #204249).
    - Print commas in roman rather than bold (thanks, David Prévot; closes:
      #600002).
    - Consider .PD requests as paragraph breaks (closes: #611012).
    - Reset SIGPIPE to SIG_DFL on startup, to avoid noisy output in the
      event that mandb was started from a context where SIGPIPE was ignored.
    - SECTION entries in a user configuration file now override those in the
      system configuration file, rather than appending to them.
    - If the user asked for an explicit section, sort exact matches first.
    - Rewrite all remaining subprocess handling in terms of libpipeline,
      especially some crash-prone code in catman (LP: #27738).
    - The default less prompt now includes "(press h for help or q to quit)"
      to help novices find their way around
      (http://brainstorm.ubuntu.com/idea/25975).
    - Fix a segfault when 'man -K' tries to display certain pages.
    - Fix a segfault in some situations when processes are killed by SIGHUP,
      SIGINT, or SIGTERM (LP: #218336).
  * Avoid unnecessary metadata writes to /var/cache/man when doing recursive
    chown (thanks, Iustin Pop; closes: #619726).

 -- Colin Watson <cjwatson@debian.org>  Sat, 09 Apr 2011 17:59:40 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: important
 Maintainer: Colin Watson <cjwatson@debian.org>
 Standards-Version: 3.8.2
-Build-Depends: debhelper (>= 7.2.3), flex, groff, libgdbm-dev, po4a, zlib1g-dev, libpipeline-dev, hardening-includes, gettext, pkg-config
+Build-Depends: debhelper (>= 7.2.3), flex, groff, libgdbm-dev, po4a, zlib1g-dev, libpipeline-dev (>= 1.1.0), hardening-includes, gettext, pkg-config
 Homepage: http://man-db.nongnu.org/
 
 Package: man-db

=== debian/rules ===
--- 
+++ 
@@ -29,11 +29,11 @@
 	            --with-col=col --with-vgrind=vgrind --with-grap=grap \
 	            --with-compress=compress --with-bzip2=bzip2 \
 		    --with-lzma=lzma \
-		    --with-sections='1 n l 8 3 2 3posix 3pm 3perl 5 4 9 6 7' \
-		    --with-external-pipeline
+		    --with-sections='1 n l 8 3 2 3posix 3pm 3perl 5 4 9 6 7'
 
-override_dh_clean:
-	dh_clean -Xxmalloc.c.orig
+override_dh_auto_install:
+	dh_auto_install
+	rm -f $(dtmp)/usr/lib/man-db/*.la
 
 ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
 override_dh_installman:

## man-db 2.6.1

=== debian/changelog ===
man-db (2.6.1-2ubuntu1) precise-proposed; urgency=low

  * Avoid fatal errors when opening a 64-bit GDBM database from a 32-bit
    process (LP: #1001189).
  * Link with -Wl,--enable-new-dtags, so that LD_LIBRARY_PATH can be used to
    override our private library directory.  (This fixes a build failure
    when attempting to build the above change.)

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 22 Nov 2012 11:57:21 +0000

man-db (2.6.1-2) unstable; urgency=low

  * Remove unused build-dependency on gettext again.

 -- Colin Watson <cjwatson@debian.org>  Sat, 31 Mar 2012 01:17:50 +0100

man-db (2.6.1-1) unstable; urgency=low

  * New upstream release:
    - Translated manual pages are no longer displayed starting with a
      spurious blank line (closes: #628639).
    - Create a cache directory tag, per http://www.brynosaurus.com/cachedir/
      (closes: #637046).
    - Alphabetise "SEE ALSO" references and remove trailing full stops, per
      man-pages(7) (closes: #651482).
    - Update German manual page translations (closes: #494066, #596104,
      #624096).
  * Install FAQ.
  * Update debian/copyright.

 -- Colin Watson <cjwatson@debian.org>  Tue, 14 Feb 2012 13:53:58 +0000

man-db (2.6.0.2-3) unstable; urgency=low

  * Discard stderr from dpkg-query in cron jobs (LP: #783903).
  * Make man-db Multi-Arch: foreign.
  * Upgrade to debhelper v9 and its new arrangements for honouring
    dpkg-buildflags output.

 -- Colin Watson <cjwatson@debian.org>  Wed, 09 Nov 2011 01:33:33 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: important
 Maintainer: Colin Watson <cjwatson@debian.org>
 Standards-Version: 3.8.2
-Build-Depends: debhelper (>= 7.2.3), flex, groff, libgdbm-dev, po4a, zlib1g-dev, libpipeline-dev (>= 1.1.0), hardening-includes, gettext, pkg-config
+Build-Depends: dpkg (>= 1.16.1~), debhelper (>= 8.9.0~), flex, groff, libgdbm-dev, po4a, zlib1g-dev, libpipeline-dev (>= 1.1.0), pkg-config
 Homepage: http://man-db.nongnu.org/
 
 Package: man-db
@@ -13,6 +13,7 @@
 Provides: man, man-browser
 Conflicts: man, suidmanager (<< 0.50)
 Replaces: man, nlsutils, manpages-de (<< 0.5-4)
+Multi-Arch: foreign
 Description: on-line manual pager
  This package provides the man command, the primary way of examining the
  on-line help files (manual pages). Other utilities provided include the

=== debian/rules ===
--- 
+++ 
@@ -7,21 +7,16 @@
 
 dtmp    = debian/man-db
 
-include /usr/share/hardening-includes/hardening.make
+export DEB_BUILD_MAINT_OPTIONS := hardening=+all
+# Use DT_RUNPATH rather than DT_RPATH, so that LD_LIBRARY_PATH works properly.
+export DEB_LDFLAGS_MAINT_APPEND := -Wl,--enable-new-dtags
 
-# Cf. #497653
-ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
-CFLAGS = -O2 -g
-else
-CFLAGS = -g
-endif
-CFLAGS += $(HARDENING_CFLAGS)
-LDFLAGS := $(HARDENING_LDFLAGS)
-
-# --libexecdir still needed due to #541458
+# --libdir and --libexecdir are set here because debhelper defaults to using
+# multiarch paths at compat level 9, which is a reasonable choice in general
+# but unnecessary here.
 override_dh_auto_configure:
-	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" dh_auto_configure -- \
-		    --libexecdir=\$${libdir} \
+	dh_auto_configure -- \
+	            --libdir=\$${prefix}/lib --libexecdir=\$${libdir} \
 	            --enable-setuid --enable-undoc='man 7 undocumented' \
 	            --with-device=latin1 --enable-mb-groff \
 	            --with-config-file=/etc/manpath.config \

## man-db 2.6.2

=== debian/changelog ===
man-db (2.6.2-1) unstable; urgency=low

  * New upstream release:
    - Optimise apropos when given many arguments (LP: #927028).
    - apropos prints an error message and returns non-zero when it finds no
      matches (closes: #672661).
    - Avoid fatal errors when opening a 64-bit GDBM database from a 32-bit
      process (LP: #1001189).
  * Configure with --with-xz=xz --with-lzip=lzip.
  * Adjust debian/watch to track .tar.xz releases.
  * Convert debian/copyright to copyright-format 1.0.
  * Override hardening-no-fortify-functions Lintian warning for
    /usr/bin/manpath, as a false positive.

 -- Colin Watson <cjwatson@debian.org>  Mon, 18 Jun 2012 22:56:56 +0100

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,6 @@
 dtmp    = debian/man-db
 
 export DEB_BUILD_MAINT_OPTIONS := hardening=+all
-# Use DT_RUNPATH rather than DT_RPATH, so that LD_LIBRARY_PATH works properly.
-export DEB_LDFLAGS_MAINT_APPEND := -Wl,--enable-new-dtags
 
 # --libdir and --libexecdir are set here because debhelper defaults to using
 # multiarch paths at compat level 9, which is a reasonable choice in general
@@ -23,7 +21,7 @@
 	            --with-browser=www-browser --with-pager=pager \
 	            --with-col=col --with-vgrind=vgrind --with-grap=grap \
 	            --with-compress=compress --with-bzip2=bzip2 \
-		    --with-lzma=lzma \
+		    --with-xz=xz --with-lzip=lzip --with-lzma=lzma \
 		    --with-sections='1 n l 8 3 2 3posix 3pm 3perl 5 4 9 6 7'
 
 override_dh_auto_install:

=== debian/watch ===
version=3
http://download.savannah.nongnu.org/releases/man-db/man-db-(.*)\.tar\.xz
